This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 753536 - systemsettings 's crashed
systemsettings 's crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
16
All Linux
high Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 02:20 EST by Minh Ngo
Modified: 2013-02-26 09:39 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 09:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debug info (5.00 KB, text/plain)
2011-11-13 02:22 EST, Minh Ngo
no flags Details

  None (edit)
Description Minh Ngo 2011-11-13 02:20:28 EST
Version-Release number of selected component (if applicable):
Qt: 4.8.0
KDE Development Platform: 4.7.2 (4.7.2)
System Settings: 1.0

Steps to Reproduce:
1. run systemsettings
2. go to "Workspace Appearance"
3. got to "Configure Decoration..."
4. change a tab to "Window-Specific Overrides"
5. click the "Add" button
Actual results:
systemsettings is crashed

Expected results:
it must not be crashed

Additional info:
Comment 1 Minh Ngo 2011-11-13 02:22:34 EST
Created attachment 533333 [details]
debug info
Comment 2 Minh Ngo 2011-11-13 08:00:27 EST
kde-settings:
Version     : 4.7
Release     : 13.fc16.4

qt:
Version     : 4.8.0
Release     : 0.23.rc1.fc16
Comment 3 Kevin Kofler 2011-11-13 11:45:59 EST
FYI, kde-settings only contains our actual settings, not the application to set them, System Settings, which is in kdebase-workspace.

This also means that the kde-settings version is more a function of the Fedora version than of the KDE Software Compilation (KDE SC) version, though we are making it match the version of the KDE SC release series we are releasing Fedora with (so 4.7 for Fedora 16). But kdebase-workspace carries more precise version information (e.g. 4.7.2 or 4.7.3).
Comment 4 Ngo Than 2011-11-15 06:56:48 EST
it doesn't crash with qt-4.7.x, it seems an regression issue in qt-4.8. reassign to qt
Comment 5 Kevin Kofler 2011-11-15 10:43:14 EST
Well, it seems like kwin_oxygen_config.so is triggering a qFatal in QSharedPointer somehow.
Comment 6 Fedora End Of Life 2013-01-16 16:27:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jaroslav Reznik 2013-02-26 09:39:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.